%define upstream_name    Unix-Mknod
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface mknod, major, minor, and makedev
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to changes in glibc-2.27.9000, bug #1551656, CPAN RT#124687
Patch0:     Unix-Mknod-0.04-Include-sys-sysmacros.h-on-glibc.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module allows access to the device routines major()/minor()/makedev()
that may or may not be macros in .h files.

It also allows access to the 'mknod(2)' system call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.50.0-2.mga10
+ Revision: 2088252
- Rebuild against new perl

* Mon Dec 04 2023 tv <tv> 0.50.0-1.mga10
+ Revision: 2013088
- update to 0.05

* Tue Nov 28 2023 tv <tv> 0.40.0-24.mga10
+ Revision: 2010526
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.40.0-23.mga9
+ Revision: 1862589
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.40.0-22.mga9
+ Revision: 1796163
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.40.0-21.mga9
+ Revision: 1727214
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.40.0-20.mga8
+ Revision: 1595295
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.40.0-19.mga8
+ Revision: 1529042
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.40.0-18.mga8
+ Revision: 1433019
- rebuild with perl-5.30

* Fri Sep 21 2018 tv <tv> 0.40.0-17.mga7
+ Revision: 1294386
- patch 0: Adapt to changes in glibc-2.27.9000 (rhbz#1551656, CPAN RT#124687)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.40.0-16.mga7
+ Revision: 1248152
- fix files list

* Tue Oct 03 2017 tv <tv> 0.40.0-15.mga7
+ Revision: 1167228
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.40.0-14.mga7
+ Revision: 1149427
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.40.0-13.mga7
+ Revision: 1127594
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-12.mga6
+ Revision: 1035564
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-11.mga6
+ Revision: 958190
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-10.mga6
+ Revision: 845465
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.40.0-9.mga6
+ Revision: 841299
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 750596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 686802
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-6.mga5
+ Revision: 631858
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-5.mga4
+ Revision: 524535
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-4.mga4
+ Revision: 430992
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 374623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251291
- rebuild for perl 5.16
- imported package perl-Unix-Mknod


* Sat Aug 20 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
